Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

Hulp met P2P-PROGRAMMA'S voor Linux

None
14 antwoorden
  • Sinds gisteren zijn alle liedjes op mijn geliefde Audiogalaxy geblokkeerd, het is dus waardeloos geworden (voor het downloaden dan, niet voor de contacten die ik er heb). Nu ben ik op zoek naar een alternatief voor het downloaden van muziek op Linux. Tot nog toe zonder veel succes.

    Ik heb weinig verstand van het installeren van programma's en (vooral) het oplossen van problemen met afhankelijkheden etc. Een hele middag aan het worstelen geweest met div. software, zonder resultaat.

    Dit is wat ik geprobeerd heb:

    1. http://www.soulseek.org/ .. hier is een Linuxversie van. Die vereist de aanwezigheid van div. paketten, en als ik die installeer, mist er weer iets anders .. Ik ben vastgelopen omdat ik zonder al te veel nadenken een versie van glib heb geinstalleerd die bij nader inzien al aanwezig was. Nu geeft ./configure van gtk (waar die glib voor nodig was) de volgende melding:

    [code:1:fcfd13f32b]checking for GLIB - version >= 1.2.7…
    *** 'glib-config –version' returned 1.2.7, but GLIB (1.2.10)
    *** was found! If glib-config was correct, then it is best
    *** to remove the old version of GLIB. You may also be able to fix the error
    *** by modifying your LD_LIBRARY_PATH enviroment variable, or by editing
    *** /etc/ld.so.conf. Make sure you have run ldconfig if that is
    *** required on your system.
    *** If glib-config was wrong, set the environment variable GLIB_CONFIG
    *** to point to the correct copy of glib-config, and remove the file config.cache
    *** before re-running configure
    no
    configure: error:
    *** GLIB 1.2.7 or better is required. The latest version of GLIB
    *** is always available from ftp://ftp.gtk.org/.[/code:1:fcfd13f32b]

    Hoe kan ik dit oplossen?

    2. http://freenetproject.org/ is ook beschikbaar voor Linux. Dat is na uitpakken een script wat eerst om div. opties vraagt. Dat gaat goed, alleen als deze opties gegeven zijn, loopt het vast met de melding [code:1:fcfd13f32b]Usage: java [-options] class[/code:1:fcfd13f32b] met vervolgens de helpfile van java. Blijkbaar is de javaversie op mijn systeem van een verkeerde versie?

    3. Limewire (http://www.limewire.com/) bestaat ook voor Linux. Hiervoor moet Java2TM Runtime Environment, v. 1.3.1 voor geinstalleerd zijn (wat misschien ook wel de problemen met Freenet zou kunnen oplossen?) .. Goed, dat gedownload van de website van Sun en geinstalleerd. Het was een zelfextraherend .bin-bestand, wat ik in /usr/local heb gezet en geextraheerd. Dat zou voor zover ik gelezen heb, voldoende moeten zijn. LimeWire zelf installeren ging ook prima, maar als ik LimeWire run, krijg ik de volgende foutmelding:

    [code:1:fcfd13f32b]java.lang.NoClassDefFoundError: javax/swing/JDialog
    at
    at RunLime.showInternalError(Unknown Source)
    at RunLime.main(Unknown Source)
    at com.zerog.lax.LAX.launch(Unknown Source)
    at com.zerog.lax.LAX.main(Unknown Source)[/code:1:fcfd13f32b]

    In de README file van LimeWire staan enkele alternatieve methodes om het aan de praat te krijgen, maar ook die werken niet. Bijv. met [code:1:fcfd13f32b]java -jar RunLime.jar[/code:1:fcfd13f32b] zegt ie dat -jar een ongeldig argument is.

    Dat was het wat de Linux-p2p-clienten betreft. Ik heb ook nog div. Windowsclienten met wine proberen te runnen, zonder succes.

    Over Kazaa-lite heb ik wat dat betreft het meeste te melden .. De installatie verliep zonder problemen. ik heb tips over Kazaa lite en wine gevonden op http://appdb.codeweavers.com/appview.php?appId=747 … De daar genoemde commctrl.dll kon ik niet vinden in mijn Windows (XP Pro), noch in System, noch in System32. De rest kon ik wel vinden en heb ik in de Kazaa lite dir geplaatst. Ik kon Kazaa vervolgens opstarten met [code:1:fcfd13f32b]wine –managed -dll comctl32,shlwapi,shdocvw=n kazaa.exe[/code:1:fcfd13f32b], maar direct als ik ergens op klikte, crashte de boel.

    Om een (heel) lang verhaal kort te maken: HELP! :(

    Audiogalaxy had ik zelfs een paar dagen na mijn eerste kennismaking met Linux zo geinstalleerd en nu heb ik Linux al een aantal maanden en heb ik een hele middag zitten kl*ten (excusez le mot) zonder succes. Ik hoop dat er wel p2p-programma's zijn, hetzij voor Linux, hetzij voor Windows met wine, die ik aan de praat kan krijgen. Alvast bedankt.
  • Ik weet niet met welke distro je werkt? maar onder suse kan ik GTK-gnutella makkelijk aan de rpaat krijgen. Hier zijn namelijk rpm's voor op internet te krijgen. ik geloof zelfs op de site van suse.

    zie in ieder geval de volgende link:

    http://www.gnutelliums.com/linux_unix/
    http://gtk-gnutella.sourceforge.net/

    Suse current version:
    ftp://ftp.suse.com/pub/suse/i386/current/suse/xap3/

    Succes.
    Vragen dan horen we het wel.
    Bart
  • Werkt de Linux-versie van KazaA niet meer?

    Max
  • [quote:c164bb7793="maximilaan"]Werkt de Linux-versie van KazaA niet meer?[/quote:c164bb7793]

    Nee, die was voor het KaZaA netwerk van FastTrack (de makers van KaZaA). Om de rechtszaak te ontlopen is KaZaA verkocht aan Sherman Networks en die maken geen gebruik meer van het FastTrack netwerk.
  • Ahbart, ik werk met SuSE 7.3 .. Ik kon geen rpm's voor gtk-gnutella vinden, en het installeren vanaf source werkt niet omdat hij GTK mist (zelfde probleem als bij Soulseek). Waar kan ik die rpm's vinden? Op SuSe.de vond ik ze niet.

    Maximiliaan, KaZaa voor linux werkt al een hele tijd niet meer, nl. sinds ze het protocol van het FastTrack netwerk hebben veranderd. KaZaa heeft daarna nietmeer de moeite genomen om een aangepaste linuxclient te maken :-(

    Ik ben nu ook bezig met een commandline-app voor Direct Connect (zie http://pa223.lodz-zubardz.sdi.tpnet.pl/ldcc/). Tot nog toe zonder succes, want op mijn client lukt het contact maken niet (alhoewel het achter een firewall zou moeten werken), en op mijn server lukt dat wel, maar worden mijn shares om de 1 of andere vage reden niet herkend (en Direct Connect vereist de aanwezigheid van (veel) gesharede bestanden). Iemand die ervaring heeft met dit programma?

    Voor mij heeft Soulseek overigens de grootste prioriteit, omdat daar al een aantal Audiogalaxy-vrienden van mij zitten. Ik hoop dat iemand weet hoe ik de benodigde paketten daarvoor geinstalleerd kan krijgen. Bovendien zou GTK-gnutella dan ook gelijk moeten werken, omdat deze ook GTK nodig heeft.
  • [quote:108481c194="Supersnail"]Nee, die was voor het KaZaA netwerk van FastTrack (de makers van KaZaA). Om de rechtszaak te ontlopen is KaZaA verkocht aan Sherman Networks en die maken geen gebruik meer van het FastTrack netwerk.[/quote:108481c194]

    Oh OK, LOL, ik heb de klok horen luiden, maar wist niet waar de klepel hing ;)
  • Sorry, een repost .. Zie zo gauw niet hoe ik hem helemaal kan verwijderen.
  • Waar je die kan vinden?
    Op de suse ftp site!
    onder 7.3. Volgens mij maakt gtk-gnutella ook standaard onderdeel uit van de cd versie, als je die hebt. Misschien alleen professional, dat zou kunnen.

    ftp://ftp.suse.com/pub/suse/i386/7.3/suse/xap2/gtk-gnutella.rpm

    Dit is hem in ider geval.

    Bart
  • Volgens mij zit Kaffe bij jou in de weg. Da's een andere JVM. Deinstalleer hem dus, als het goed is moet LimeWire dan starten.

    En Kazaa doet het wel in Wine, maar de laatste versie (1.7.x) niet. 1.6.1 doet het wel perfect.
  • >> ** GLIB 1.2.7 or better is required. The latest version of GLIB

    waarom upgrade je niet gewoon GLIB ?
    rpm d/l (www.rpmfind.net :D)
    rpm -Uh glib-X.X.X.i386.rpm
    werkt vast :)

    eDonkey werkt ook goed onder Linux. Op de officiele site van Donkey kan je hem downloaden (en er is ook vast een rpm te vinden :))
    het enige nadeel van Donkey is dat je je serverlijst 1x per week moet updaten (www.sharereactor.com en www.filenexus.com)


    wateengedoe2:
    Er is ook een versie van DirectConnect beschikbaar die onder X werkt.
    stuur ff een message als je m wilt hebben.

    over wine en kazaa, bij mij crashed 1.6.1 bij het beginscherm :'(
  • Vergeet ook niet glib-devel te installeren. Die heb je nodig voor het compileren.

    eDonkey? Dat programma verplicht je om je bestanden beschikbaar te stellen voor anderen. Da's wel leuk voor de Amerikanen misschien, maar wij zitten in Nederland met onze !@#$ verbindingen. Bij Chello zakt je downloadsnelheid helemaal naar 1 kb/sec of lager als je aan het uploaden bent. Dus als iemand iets van jou probeert te downloaden kun je zelf niet meer downloaden.
  • eDonkey gevonden en HOERA, het werkt! Het eerste p2p-system wat ik aan de praat heb hier na Audiogalaxy .. Maar ik ga alle tips in deze thread ook proberen, ik wil een goede keuze kunnen maken uit wat er beschikbaar is.

    En wat die verbinding betreft, dat zit wel snor. Ik ben 1 van de gelukkigen die de snelste EN de goedkoopste verbinding van Nederland hebben .. Met het gevaar dat ik nu wat ogen uitsteek .. 10 euro/mnd, 100 Mbit/s :) Ik share dus met alle plezier al mijn 16 GB aan muziek, zoals ik op AG ook altijd al deed (en dan ook nog 2500 mensen/dag op mijn website over AG, maar dat zal nu zo verleden tijd zijn).
  • [quote:441fd006cf="ItsJapie"]>> ** GLIB 1.2.7 or better is required. The latest version of GLIB

    waarom upgrade je niet gewoon GLIB ?
    rpm d/l (www.rpmfind.net :D)
    rpm -Uh glib-X.X.X.i386.rpm
    werkt vast :)[/quote:441fd006cf]

    Ja, OK, maar het probleem was juist dat ik heb zitten klooien met die Glibversies en er nu 2 door elkaar zitten. Daaraan helpt het installeren van een RPM niet meer. Dit is ook niet echt een p2p-probleem, ik zal even een nieuw draadje hierover beginnen. Het kan hopelijk uiteindelijk wel zorgen dat ik Soulseek onder Linux aan de praat krijg.
  • Hoera, weer een succesje, LimeWire doet het!

    [quote:324e4942fe="RobertV"]Volgens mij zit Kaffe bij jou in de weg. Da's een andere JVM. Deinstalleer hem dus, als het goed is moet LimeWire dan starten.[/quote:324e4942fe]

    Kaffe kon ik nergens vinden (zit volgens mij alleen bij SuSE Pro). Maar inderdaad, als ik gewoon java intik, is dat iets anders dan wanneer ik de zojuist geinstalleerde JVM uitvoer. Eenvoudig opgelost door in het startscript van LimeWire te verwijzen naar de juiste directory met die Sun JVM :-) Nu heb ik LimeWire aan de praat, eerste testdownload is op dit moment aan de gang.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.